org.apache.fop.render.afp.extensions

## Class AFPElementMapping

- java.lang.Object
- - org.apache.fop.fo.ElementMapping
  - - org.apache.fop.render.afp.extensions.AFPElementMapping

    public class AFPElementMapping
    extends ElementMapping

AFPElementMapping object provides the ability to extract information from the formatted object that reside in the afp namespace. This is used for custom AFP extensions not supported by the FO schema. Examples include adding overlays or indexing a document using the tag logical element structured field.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.fop.fo.ElementMapping

`ElementMapping.Maker`

### Field Summary

Fields
`static String` `INCLUDE_FORM_MAP` include form map element
`static String` `INCLUDE_PAGE_OVERLAY` include page overlay element
`static String` `INCLUDE_PAGE_SEGMENT` include page segment element
`static String` `INVOKE_MEDIUM_MAP` IMM: Invoke Medium Map (on fo:page-sequence)
`static String` `NAMESPACE` The namespace used for AFP extensions
`static String` `NAMESPACE_PREFIX` The usual namespace prefix used for AFP extensions
`static String` `NO_OPERATION` NOP
`static org.apache.xmlgraphics.util.QName` `PAGE_GROUP`
`static String` `TAG_LOGICAL_ELEMENT` tag logical element

### Fields inherited from class org.apache.fop.fo.ElementMapping

`DEFAULT, foObjs, namespaceURI`

### Constructor Summary

Constructors
Constructor and Description
`AFPElementMapping()` Main constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `initialize()` Private static synchronized method to set up the element and attribute HashMaps, this defines what elements and attributes are extracted.

### Methods inherited from class org.apache.fop.fo.ElementMapping

`getDefaultDOMImplementation, getDOMImplementation, getNamespaceURI, getStandardPrefix, getTable, isAttributeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TAG_LOGICAL_ELEMENT

    public static final String TAG_LOGICAL_ELEMENT

tag logical element

See Also:
  Constant Field Values

#### INCLUDE_PAGE_OVERLAY

    public static final String INCLUDE_PAGE_OVERLAY

include page overlay element

See Also:
  Constant Field Values

#### INCLUDE_PAGE_SEGMENT

    public static final String INCLUDE_PAGE_SEGMENT

include page segment element

See Also:
  Constant Field Values

#### INCLUDE_FORM_MAP

    public static final String INCLUDE_FORM_MAP

include form map element

See Also:
  Constant Field Values

#### NO_OPERATION

    public static final String NO_OPERATION

NOP

See Also:
  Constant Field Values

#### INVOKE_MEDIUM_MAP

    public static final String INVOKE_MEDIUM_MAP

IMM: Invoke Medium Map (on fo:page-sequence)

See Also:
  Constant Field Values

#### NAMESPACE

    public static final String NAMESPACE

The namespace used for AFP extensions

See Also:
  Constant Field Values

#### PAGE_GROUP

    public static final org.apache.xmlgraphics.util.QName PAGE_GROUP

#### NAMESPACE_PREFIX

    public static final String NAMESPACE_PREFIX

The usual namespace prefix used for AFP extensions

See Also:
  Constant Field Values

### Constructor Detail

#### AFPElementMapping

    public AFPElementMapping()

Main constructor

### Method Detail

#### initialize

    protected void initialize()

Private static synchronized method to set up the element and attribute HashMaps, this defines what elements and attributes are extracted.

Specified by:
  `initialize` in class `ElementMapping`